help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: viper-mode C-[ behavior change in Emacs 24.4


From: Emanuel Berg
Subject: Re: viper-mode C-[ behavior change in Emacs 24.4
Date: Tue, 05 Aug 2014 02:03:18 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)

Robert Thorpe <address@hidden> writes:

>> Question: "Non-released" software, I suppose that
>> includes the emacs24 (or 24.3+1-4+b1) or GNU Emacs
>> 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.12.2) of
>> 2014-06-06 on barber, modified by Debian
>
> The current released version is 24.3.

Yeah... so then it is a bug in "non-released" as well
as released software? <:|

> Perhaps the extra ".1" at the end represents a Debian
> modification, I don't know.

What I've heard, it is the "build number", so in terms
of software, 24.3.1 should be identical to any other
24.3.x. But if it is identical, why build it again? I
don't know. Perhaps if something else needs to be
rebuilt and for some reason then Emacs has to be (or
"is") rebuilt as well.

>> because I have the same problem, as said. Do you
>> have to get it from the stable Debian repositories
>> for it to be "released"?
>
> Releases by distributions have nothing directly to do
> with Emacs releases. Some distributions may keep old
> version of Emacs "current" for years after they've
> been superceded, others may use beta versions. The
> current release is the one on ftp.gnu.org.

Well, I think most people use their package managers as
that is one of the huge advantages with (most
distributions of) Linux. Debian has parallel sets of
software depending on how cutting edge, or, at the
other end, how stable the user desires the software to
be. Some five years ago, I used the stable release
until I had a problem with a piece of software that I
couldn't solve. So I got the same software from the
cutting edge branch, and the bug was gone. I have used
that software set ever since and hasn't had a crash (or
even a software failing) for years. So I don't think
the experimental and unstable software is particularly
"life on the edge", on the contrary. Anyway, so
whatever Emacs you can get from your distro's
repositories should be considered "released"? Sounds
logical...

-- 
underground experts united


reply via email to

[Prev in Thread] Current Thread [Next in Thread]